Skip to navigation

Delete Fileset

View as Markdown

Delete Fileset.

Permanently deletes an unreferenced fileset from the platform. Referencing model or adapter entities must be relinked or deleted first. For local storage backends, this also deletes the underlying files.

Path parameters

workspacestringRequired
namestringRequired

Response

Successful Response
idstring
namestring
workspacestring
descriptionstring
purposeenum
Allowed values:
storageobject
metadataobject

Tagged metadata container - the key indicates the type.

Example: metadata = FilesetMetadata( dataset=DatasetMetadataContent( schema={“columns”: [“id”, “name”]}, ) )

custom_fieldsmap from strings to any
projectstring
created_atstring
updated_atstring
created_bystring or nullOptional
Principal id for the fileset creator.
updated_bystring or nullOptional
Principal id for the last fileset update.

Errors

409
Conflict Error
422
Unprocessable Entity Error
503
Service Unavailable Error